For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet transactions
      • POSTCreate a transaction
      • POSTCreate multiple transactions
      • GETGet a transaction
      • DELDelete a transaction
      • PATCHUpdate a transaction
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementTransactions

Create multiple transactions

POST
/transactions/bulk
POST
/v1/transactions/bulk
$curl -X POST https://api.sandbox.monite.com/v1/transactions/bulk \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "amount": 1,
> "currency": "AED",
> "merchant_amount": 1,
> "merchant_currency": "AED",
> "merchant_location": "Berlin, Germany",
> "merchant_name": "Acme Inc.",
> "payment_method": {
> "type": "card",
> "details": {
> "brand": "brand",
> "card_type": "credit",
> "expiry_month": 1,
> "expiry_year": 1,
> "last4": "last4"
> }
> },
> "type": "capture"
> }
> ]
>}'
1{
2 "data": [
3 {
4 "id": "id"
5 }
6 ],
7 "status": "success"
8}
Was this page helpful?
Previous

Get a transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
datalist of objectsRequired
A list of transactions to create.

Response

Successful Response
datalist of objects
statusenum
The overall status of the bulk creation operation.
Allowed values:

Errors

400
Post Transactions Bulk Request Bad Request Error
401
Post Transactions Bulk Request Unauthorized Error
403
Post Transactions Bulk Request Forbidden Error
422
Post Transactions Bulk Request Unprocessable Entity Error
500
Post Transactions Bulk Request Internal Server Error